//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_INI_CNT_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_sclr_n;
wire	ini_wait_done;
SDRC_INI_CNT sdrc_ini_cnt0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_wait_done(ini_wait_done)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n = 1'b1;
	sys_sclr_n = 1'b1;
	#1
	sys_rst_n = 1'b0;
	#1
	sys_rst_n = 1'b1;
	//wait
	#(CtINIw*10)
	#200
	sys_sclr_n = 1'b0;
	#10
	sys_sclr_n = 1'b1;
	//wait
	#(CtINIw*10)	
	#200
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_INI_CNT_tb.fsdb");
	$fsdbDumpvars(0,SDRC_INI_CNT_tb);
end
endmodule
