//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
//
//	sdrc_lite sdr sdram controller
//
//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\//\\
`timescale 1ns/100ps
module SDRC_INI_FSM_TST_tb;
`include "../rtl/SDRC_LITE_PAR.v"
reg		sys_clk;
reg		sys_rst_n;
reg		sys_sclr_n;
wire	ini_nop;
wire	ini_prea;
wire	ini_ref;
wire	ini_lmr;
wire	ini_ready;
SDRC_INI_FSM_TST sdrc_ini_fsm_tst0(
	.sys_clk(sys_clk),
	.sys_rst_n(sys_rst_n),
	.sys_sclr_n(sys_sclr_n),
	.ini_nop(ini_nop),
	.ini_prea(ini_prea),
	.ini_ref(ini_ref),
	.ini_lmr(ini_lmr),
	.ini_ready(ini_ready)
);
//clk
initial sys_clk = 1'b0;
always #5 sys_clk = ~sys_clk;
//rst and conditions
initial begin
	sys_rst_n = 1'b1;
	sys_sclr_n = 1'b1;
	#1
	sys_rst_n = 1'b0;
	#1
	sys_rst_n = 1'b1;
	#20
	//initial wait time
	#(CtINIw*10)
	//initialize FSM operate and wait
	#(CtRFCm1*10*200)
	//wait
	#20
	$finish;
end
//For Verdi or Debussy debugging
initial begin
	$fsdbDumpfile("SDRC_INI_FSM_TST_tb.fsdb");
	$fsdbDumpvars(0,SDRC_INI_FSM_TST_tb);
end
endmodule
